# PSF-LoginServer - master - net.psforever.objects.ce.TelepadLike
PSF - LoginServer - master - net.psforever.objects.ce.TelepadLike
Keywords: PSF LoginServer master net.psforever.objects.ce.TelepadLike

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ce
  Definition Classes
    objects
- BaseDeployable
- Deployable
- DeployableBehavior
- DeployableCategory
- DeployedItem
- InteractWithMines
- TelepadControl
- TelepadLike

o

net.psforever.objects.ce

# TelepadLike 

###
Companion trait TelepadLike

#### object TelepadLike

Source
  TelepadLike.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TelepadLike
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class Activate (obj: PlanetSideServerObject with TelepadLike) extends Product with Serializable
2.  final case class Deactivate (obj: PlanetSideServerObject with TelepadLike) extends Product with Serializable
3.  final case class RequestLink (obj: TelepadDeployable) extends Product with Serializable
4.  final case class SeverLink (obj: PlanetSideServerObject with TelepadLike) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AppraiseTeleportationSystem(router: Vehicle, zone: Zone): Option[(InternalTelepad, TelepadDeployable)]

   An analysis of the active system of teleportation utilized by Router vehicles.

   An analysis of the active system of teleportation utilized by Router vehicles. Information about the two endpoints - an internal telepad and a remote telepad - are collected, if they are applicable. The vehicle "Router" itself must be in the drive state of `Deployed`.

   router

     the vehicle that serves as the container of an internal telepad unit

   zone

     where the router is located

   returns

     the pair of units that compose the teleportation system

5.  def LinkTelepad(zone: Zone, telepadGUID: PlanetSideGUID): Unit
6.  def Setup(obj: Amenity, context: ActorContext): Unit

   Assemble some logic for a provided object.

   Assemble some logic for a provided object.

   obj

     an `Amenity` object; anticipating a `Terminal` object using this same definition

   context

     hook to the local `Actor` system

7.  def StartRouterInternalTelepad(zone: Zone, routerGUID: PlanetSideGUID, obj: InternalTelepad): Unit

   Create the mechanism that serves as one endpoint of the linked router teleportation system.
   Technically, the mechanism - an `InternalTelepad` object - is always made to exist due to how the Router vehicle object is encoded into an `ObjectCreateMessage` packet.

   Create the mechanism that serves as one endpoint of the linked router teleportation system.
   Technically, the mechanism - an `InternalTelepad` object - is always made to exist due to how the Router vehicle object is encoded into an `ObjectCreateMessage` packet. Regardless, that internal mechanism is created anew each time the system links a new remote telepad.

   routerGUID

     the vehicle that houses one end of the teleportation system (the `internalTelepad`)

   obj

     the endpoint of the teleportation system housed by the router

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped